#ifndef MCOLLAREA_H
#define MCOLLAREA_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif
#ifndef MPARCONTAINER_H
#include "MParContainer.h"
#endif

//
// because of some strange reason this cannot be put into MonteCarloIncl
//
#ifndef TH1_H
#include <TH1.h>
#endif

class TH2D;

class MCollArea : public MParContainer { 

 private: 
  TH2D  *fHistAll ; //! all simulated showers
  TH2D  *fHistSel ; //! the selected showers
  TH1D  *fHistCol ; //  the collection area

 public: 
  
  MCollArea(const char *name=NULL, const char *title=NULL) ; 
  ~MCollArea() ; 

  void FillAll(Float_t log10E, Float_t radius) ;  
  void FillSel(Float_t log10E, Float_t radius) ;  
  void DrawAll() ;
  void DrawSel() ;
  void Draw(Option_t* option = "") ; 
  void CalcEfficiency() ;

  ClassDef(MCollArea, 1)  //  Data Container to calculate Collection Area
} ; 

#endif 
